<cfcache action="flush">


<!-- Use the correct version of csImageFile -->
<!--cfobject action="create" name="Image" class="csImageFileTrial.Manage"-->
<!--cfobject action="create" name="Image" class="csImageFile.Manage"-->
<cfobject action="create" name="Image" class="csImageFile64Trial.Manage">
<!--cfobject action="create" name="Image" class="csImageFile64.Manage"-->
<cfset FileName = Form.FileName>
<cfif Image.FileExists(FileName)>
  <cfset Image.ReadMetaData(FileName)>
  <cfset Image.FFO_Caption = Form.Caption>
  <cfset Image.FFO_CaptionWriter = Form.CaptionWriter>
  <cfset Image.FFO_Headline = Form.Headline>
  <cfset Image.FFO_Specialinstructions = Form.Specialinstructions>
  <cfset Image.FFO_Category = Form.Category>
  <cfset Image.FFO_Byline = Form.Byline>
  <cfset Image.FFO_BylineTitle = Form.BylineTitle>
  <cfset Image.FFO_Credit = Form.Credit>
  <cfset Image.FFO_Source = Form.Source>
  <cfset Image.FFO_ObjectName = Form.ObjectName>
  <cfset Image.FFO_City = Form.City>
  <cfset Image.FFO_ProvinceState = Form.ProvinceState>
  <cfset Image.FFO_CountryName = Form.CountryName>
  <cfset Image.FFO_OTR = Form.OTR>
  <cfset Image.FFO_CopyrightNotice = Form.CopyrightNotice>
  <cfset Image.FFO_ImageURL = Form.ImageURL>
  <cfset Image.FFO_Urgency = Form.Urgency>
  <cfif IsDate(Form.DateCreated)>
    <cfset Image.FFO_DateCreated = Form.DateCreated>
  </cfif>
  <cftry>
    <cfif Form.CopyrightFlag EQ "true">
      <cfset Image.FFO_CopyrightFlag = true>
    </cfif>
    <cfcatch>
      <cfset Image.FFO_CopyrightFlag = false>
    </cfcatch>
  </cftry>

  <cfset Image.FFO_KeywordsClear()>
  <cfif Len(Form.Keywords) GT 0>
    <cfset Keywords = Form.Keywords>
    <cfset Finished = false>
    <cfloop condition = "Finished EQ false">
      <cfset Keywords = Replace(Keywords, Chr(13) & Chr(10), Chr(13), "ALL")>
      <cfset Index = Find(Chr(13), Keywords)>
      <cfif Index EQ 0>
        <cfset temp = Keywords>
        <cfset Finished = true>
      <cfelse>
        <cfset temp = Left(Keywords, Index - 1)>
        <cfset Keywords = Right(Keywords, Len(Keywords) - Index)>
      </cfif>
      <cfoutput><cfset Image.FFO_KeywordsAdd(#temp#)></cfoutput>
    </cfloop>
  </cfif>
    <cfset Image.FFO_SuppCatClear()>
  <cfif Len(Form.Keywords) GT 0>
    <cfset Cats = Form.SuppCat>
    <cfset Finished = false>
    <cfloop condition = "Finished EQ false">
      <cfset Cats = Replace(Cats, Chr(13) & Chr(10), Chr(13), "ALL")>
      <cfset Index = Find(Chr(13), Cats)>
      <cfif Index EQ 0>
        <cfset temp = Cats>
        <cfset Finished = true>
      <cfelse>
        <cfset temp = Left(Cats, Index - 1)>
        <cfset Cats = Right(Cats, Len(Cats) - Index)>
      </cfif>
      <cfoutput><cfset Image.FFO_SuppCatAdd(#temp#)></cfoutput>
    </cfloop>
  </cfif>
  <cfset Image.OverwriteMetaData(FileName)>
</cfif>

<html>
<head>
<title>Update the file info data</title>
<meta http-equiv="refresh" content="0;URL=fileinfo.cfm">
</head>

<body>
<p><a href=fileinfo.cfm>Return to form</a>.</p>

</body>
</html>